Bug Hunting Session
Bug 101677 - Make text flow in tables from top to bottom first and left to right secondary
Summary: Make text flow in tables from top to bottom first and left to right secondary
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.1.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2016-08-23 07:13 UTC by sergio.callegari
Modified: 2019-04-21 02:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test case to be used according to the bug description (9.03 KB, application/vnd.oasis.opendocument.text)
2016-08-23 07:13 UTC, sergio.callegari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2016-08-23 07:13:11 UTC
Created attachment 126981 [details]
Test case to be used according to the bug description

I would like to report what is possibly a corner case with respect to the table "insert column" feature in LibO Writer.

When a numbered list is present in a table, inserting a new column causes a behavior that is certainly unexpected by the user, even if some consideration at how LibO may technically manage the text flow in table clearly explains it.

Suppose that you have a table that includes a numbered list

---------------------------
|1. Foo  | text text text |
---------------------------
|2. Bar  | text text text |
---------------------------

see the attached document for a test case.

Now, if you add a column to the left of the first one, the table becomes:

-----------------------------------
|1.     |2. Foo  | text text text |
-----------------------------------
|3.     |4. Bar  | text text text |
-----------------------------------

which is probably not what the casual user may expect and need (I think that the uses would expect the list to remain confined in one column) even if it is quite logic from a purely technical point of view.
Comment 1 Buovjaga 2016-09-28 13:48:04 UTC
Being inside column "text text text" and adding a column to the left, I don't get the numbering.
I only get the numbering, if I am in the column with the numbering and insert to the right.
So it seems logical.

Let's request design guru meditation to be sure.
Comment 2 Heiko Tietze 2016-09-29 09:45:24 UTC
/confirmed (5.2.1.2)

The numbering style is also copied for insert right. And the same happens with colored background, or any other styles, where keeping the style is likely wanted. 

The best solution is perhaps to make an exception for numbering - and bullets to be consistent, and to not clean this style on insert. Other opinions?
Comment 3 Heiko Tietze 2018-04-20 14:40:10 UTC
Don't remember what I had in mind with my previous comment. But checking again, the text flow is still from left to right first in tables and secondary from top to bottom. We better switch that and go from top to bottom first and then left to right.
Test scenario is when the complete table is formatted with a numbered style.
Comment 4 QA Administrators 2019-04-21 02:52:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug